//Exemple d'une interface client / fournisseur utilisée en local d'un programme Java.
//Cet exemple illustre les points suivants:
// 	- le service est crée par l'utilisateur du service (un organisme)
// 	- le service crée des objets de natures différentes et les retourne
// 	- l'utilisateur récupère ces objets créés et les stocke dans ses collections
//  - le service est vu par l'utilisateur sous la forme d'une interface
// 	- les objets créés sont vus par l'utilisateur sous la forme d'une interface
//
public class ExempleCh05_01
{
    static private ServiceInt serv;
    static private Librairie  lib;
    static private Ecole      eco;

    public static void main(String... args)
    {
        System.out.println("Execution de Exemple05");

        ServiceInt serv = new Service();

        Librairie lib = new Librairie(serv);
        Ecole     eco = new Ecole(serv);

        lib.initialisationMedias();
        eco.initialisationMedias();

        System.out.println("Librairie: "+lib);
        System.out.println("Ecole: "+eco);
    }
}
